%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		python-repoze-what-pylons
Version:	1.0
Release:	12%{?dist}
Summary:	A plugin providing utilities for Pylons applications using repoze.what
Group:		Development/Languages
License:	BSD
URL:		http://code.gustavonarea.net/repoze.what-pylons/
Source0:	http://pypi.python.org/packages/source/r/repoze.what-pylons/repoze.what-pylons-%{version}.tar.gz
Patch0:		%{name}-setuptools.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python-devel, python-setuptools
Requires:	python-repoze-what >= 1.0.4
Requires:	python-pylons >= 0.9.7
Requires:	python-decorator >= 3.0

%description
This plugin provides optional and handy utilities for Pylons applications 
using repoze.what. Some of the features of the plugin include:
* The utilities are ready to use: There’s nothing additional to be configured 
  before using.
* 100% documented. Each component is documented along with code samples.
* The test suite has a coverage of 100% and it will never decrease – if it 
  ever does, report it as a bug!
* TurboGears 2 is officially supported as well.

%prep
%setup -q -n repoze.what-pylons-%{version}
%patch0 -p0 -b .setuptools

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
# Can't do tests due to circular dependencies
# PYTHONPATH=$(pwd) nosetests

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 06 2013 Pierre-Yves Chibon <pingou@pingoured>fr - 1.0-11
- Change BR from python-setuptools-devel to python-setuptools
  See https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 01 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-3
- fix rpmlint issues

* Fri Jun 05 2009 Luke Macken <lmacken@redhat.com> - 1.0-2
- Add a patch to ensure we use our own setuptools.

* Wed May  6 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-1
- Initial package for Fedora
